# PhasicFlow: subDomain Class Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

subDomain Class Reference
Collaboration diagram for subDomain:
[legend]

## Public Member Functions

| TypeInfo ("subDomain")
| subDomain (const domain &gDomain, const domain &thisD, const dictionary &bDicts)
const auto & | thisDomain () const
const dictionary & | leftDict () const
const dictionary & | rightDict () const
const dictionary & | bottomDict () const
const dictionary & | topDict () const
const dictionary & | rearDict () const
const dictionary & | frontDict () const

## Protected Attributes

const domain & | globalDomain_
| the actual limits of global domain More...
const dictionary & | boundaryDict_
| dictionary of boundaries More...
domain | thisDomain_
| the actual limits of this processor domain More...

## Detailed Description

Definition at line 30 of file subDomain.hpp.

## Constructor & Destructor Documentation

## subDomain()

subDomain | ( | const domain & | gDomain,
|  | const domain & | thisD,
|  | const dictionary & | bDicts
| ) |  |

inline

Definition at line 52 of file subDomain.hpp.

## Member Function Documentation

## TypeInfo()

TypeInfo | ( | "subDomain" |  | ) |

## thisDomain()

const auto& thisDomain | ( |  | ) | const

inline

Definition at line 62 of file subDomain.hpp.

References subDomain::thisDomain_.

## leftDict()

const dictionary& leftDict | ( |  | ) | const

inline

Definition at line 67 of file subDomain.hpp.

References subDomain::boundaryDict_, and dictionary::subDict().

Here is the call graph for this function:

## rightDict()

const dictionary& rightDict | ( |  | ) | const

inline

Definition at line 72 of file subDomain.hpp.

References subDomain::boundaryDict_, and dictionary::subDict().

Here is the call graph for this function:

## bottomDict()

const dictionary& bottomDict | ( |  | ) | const

inline

Definition at line 77 of file subDomain.hpp.

References subDomain::boundaryDict_, and dictionary::subDict().

Here is the call graph for this function:

## topDict()

const dictionary& topDict | ( |  | ) | const

inline

Definition at line 82 of file subDomain.hpp.

References subDomain::boundaryDict_, and dictionary::subDict().

Here is the call graph for this function:

## rearDict()

const dictionary& rearDict | ( |  | ) | const

inline

Definition at line 87 of file subDomain.hpp.

References subDomain::boundaryDict_, and dictionary::subDict().

Here is the call graph for this function:

## frontDict()

const dictionary& frontDict | ( |  | ) | const

inline

Definition at line 92 of file subDomain.hpp.

References subDomain::boundaryDict_, and dictionary::subDict().

Here is the call graph for this function:

## Member Data Documentation

## globalDomain_

const domain& globalDomain_

protected

the actual limits of global domain

Definition at line 35 of file subDomain.hpp.

## boundaryDict_

const dictionary& boundaryDict_

protected

dictionary of boundaries

Definition at line 38 of file subDomain.hpp.

Referenced by subDomain::bottomDict(), subDomain::frontDict(), subDomain::leftDict(), subDomain::rearDict(), subDomain::rightDict(), and subDomain::topDict().

## thisDomain_

domain thisDomain_

protected

the actual limits of this processor domain

Definition at line 42 of file subDomain.hpp.

Referenced by subDomain::thisDomain().

The documentation for this class was generated from the following file:

- src/phasicFlow/structuredData/domain/subDomain.hpp